Page MenuHomeFreeBSD

arm64: Support hardware breakpoints
ClosedPublic

Authored by andrew on Mar 14 2024, 3:23 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jun 28, 1:53 AM
Unknown Object (File)
Jun 7 2024, 6:00 PM
Unknown Object (File)
Jun 5 2024, 7:52 PM
Unknown Object (File)
Jun 4 2024, 7:45 AM
Unknown Object (File)
Jun 1 2024, 5:04 PM
Unknown Object (File)
May 23 2024, 7:30 PM
Unknown Object (File)
May 18 2024, 6:42 AM
Unknown Object (File)
May 11 2024, 9:53 PM
Subscribers

Details

Summary

As with watchpoints allow the kernel debugger to set hardware
breakpoints on arm64.

These have been tested to work in both the ddb and gdb backends.

Sponsored by: Arm Ltd
Sponsored by: Innovate UK

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

jhb added a subscriber: jhb.

Modulo dropping support for the count argument from kdb_cpu_clr_breakpoint.

This revision is now accepted and ready to land.Mar 19 2024, 5:34 PM
This revision now requires review to proceed.Mar 21 2024, 4:22 PM
This revision was not accepted when it landed; it landed in state Needs Review.Apr 12 2024, 9:38 AM
This revision was automatically updated to reflect the committed changes.